version: 25.7.2
files:
  - url: Trezor-Suite-25.7.2-mac-x64.zip
    sha512: 8K+NNROiDOSrbHv+dJZ727W2Aq/GYLrcPmFEFZf0JWrj8a3HgbqST/mI7p8CqYcYxUeMMnyEe0BTMM5pjAIW7w==
    size: 170211559
  - url: Trezor-Suite-25.7.2-mac-arm64.zip
    sha512: JAnIH5ZWs56+8UvH6XU0FiSUopqlPsEBdiuCBMI2fU8BJxAmHB0C0xG3SIe4Cjof8t2QBnrcEoYTBm0smPXMlw==
    size: 163562151
  - url: Trezor-Suite-25.7.2-mac-x64.dmg
    sha512: QW63Z4IHgrGduj1azdnSJcDQOC99AGmGfnjMlJ891jAtwJuAu7snPOhaYCBZ2II+Fl4YRX1wPNRIoNSvEp45Rg==
    size: 176226809
  - url: Trezor-Suite-25.7.2-mac-arm64.dmg
    sha512: 4ZzzgzpeaUrFHjjnlC9As55GQJbCaqyMUDTN+j1zF3N81DACNHlvVWGAZNcxlfcWniFELZI/Xg3sn8cOyPhF3Q==
    size: 169589292
path: Trezor-Suite-25.7.2-mac-x64.zip
sha512: 8K+NNROiDOSrbHv+dJZ727W2Aq/GYLrcPmFEFZf0JWrj8a3HgbqST/mI7p8CqYcYxUeMMnyEe0BTMM5pjAIW7w==
releaseNotes: "### 🚀 New features\n\n- Stellar (XLM) support\_is now available to all users, moving from experimental to fully integrated and accessible via the Coins menu.\n- Solana address validation\_has been introduced, warning users when sending to system-derived token or staking addresses for added clarity and security.\n\n### 🎨 Improvements\n\n- The\_passphrase wallet flow\_has been refined with clearer guidance when opening existing wallets or creating new ones, improving user confidence and understanding.\n- Account discovery speed\_has been boosted by up to 50%, offering a noticeably faster and more responsive experience.\n- Transaction history navigation\_has been improved with smoother pagination, making it easier to browse past transactions.\n- The\_trading interface\_has been polished with updated modal headers and a restructured swap flow that moves DEX approvals to the start for better usability.\n- Fee rate updates\_now occur every minute, ensuring more accurate estimates when sending transactions.\n- WalletConnect transaction previews\_are now shown before confirmation, adding transparency to EVM-based transactions.\n- EIP-712 messages\_and 1inch Fusion swap details have been made easier to read, enhancing clarity during the signing process.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n"
releaseDate: '2025-07-15T08:48:13.724Z'
stagingPercentage: 20
